@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  numass-viewer startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and NUMASS_VIEWER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\numass-viewer-0.5.1 - SNAPSHOT.jar;%APP_HOME%\lib\numass-core-1.0.0.jar;%APP_HOME%\lib\plots-jfc-0.4.0 - SNAPSHOT.jar;%APP_HOME%\lib\dataforge-gui-0.4.0 - SNAPSHOT.jar;%APP_HOME%\lib\dataforge-storage-0.4.0 - SNAPSHOT.jar;%APP_HOME%\lib\dataforge-plots-0.4.0 - SNAPSHOT.jar;%APP_HOME%\lib\dataforge-core-0.4.0 - SNAPSHOT.jar;%APP_HOME%\lib\tornadofx-1.7.14.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.2.31.jar;%APP_HOME%\lib\kotlin-reflect-1.2.31.jar;%APP_HOME%\lib\kotlinx-coroutines-jdk8-0.22.jar;%APP_HOME%\lib\kotlinx-coroutines-core-0.22.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.2.31.jar;%APP_HOME%\lib\kotlin-stdlib-1.2.31.jar;%APP_HOME%\lib\protobuf-java-3.5.0.jar;%APP_HOME%\lib\sftp-fs-1.1.3.jar;%APP_HOME%\lib\jfreesvg-3.2.jar;%APP_HOME%\lib\jfreechart-fx-1.0.0.jar;%APP_HOME%\lib\controlsfx-8.40.14.jar;%APP_HOME%\lib\richtextfx-0.8.1.jar;%APP_HOME%\lib\annotations-15.0.jar;%APP_HOME%\lib\javax.json-1.1.jar;%APP_HOME%\lib\commons-io-2.5.jar;%APP_HOME%\lib\jcl-over-slf4j-1.7.25.jar;%APP_HOME%\lib\fs-core-1.2.jar;%APP_HOME%\lib\jsch-0.1.54.jar;%APP_HOME%\lib\jfreechart-1.5.0.jar;%APP_HOME%\lib\fxgraphics2d-1.6.jar;%APP_HOME%\lib\undofx-1.3.1.jar;%APP_HOME%\lib\flowless-0.6.jar;%APP_HOME%\lib\reactfx-2.0-M5.jar;%APP_HOME%\lib\wellbehavedfx-0.3.jar;%APP_HOME%\lib\logback-classic-1.2.3.jar;%APP_HOME%\lib\cache-api-1.0.0.jar;%APP_HOME%\lib\slf4j-api-1.7.25.jar;%APP_HOME%\lib\logback-core-1.2.3.jar

@rem Execute numass-viewer
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %NUMASS_VIEWER_OPTS%  -classpath "%CLASSPATH%" inr.numass.viewer.Viewer %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable NUMASS_VIEWER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%NUMASS_VIEWER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
